## truecrypt 6.3a-maemo2

=== Makefile ===
#
# Copyright (c) 2008-2009 TrueCrypt Developers Association. All rights reserved.
#
# Governed by the TrueCrypt License 2.8 the full text of which is contained in
# the file License.txt included in TrueCrypt binary and source code distribution
# packages.
#

#------ Command line arguments ------
# DEBUG:		Disable optimizations and enable debugging checks
# DEBUGGER:		Enable debugging information for use by debuggers
# NOGUI:		Disable graphical user interface (build console-only application)
# NOSTRIP:		Do not strip release binary
# NOTEST:		Do not test release binary
# RESOURCEDIR:	Run-time resource directory
# VERBOSE:		Enable verbose messages
# WXSTATIC:		Use static wxWidgets library

#------ Targets ------
# all
# clean
# wxbuild:		Configure and build wxWidgets - source code must be located at $(WX_ROOT)


#------ Build configuration ------

export APPNAME := truecrypt
export BASE_DIR := $(CURDIR)
export BUILD_INC := $(BASE_DIR)/Build/Include

export AR ?= ar
export CC ?= gcc
export CXX ?= g++
export RANLIB ?= ranlib

export CFLAGS := -Wall
export CXXFLAGS := -Wall -Wno-unused-parameter
C_CXX_FLAGS := -MMD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES -I$(BASE_DIR) -I$(BASE_DIR)/Crypto

export LFLAGS :=

export PKG_CONFIG_PATH ?= /usr/local/lib/pkgconfig

export WX_CONFIG ?= wx-config
export WX_CONFIG_ARGS := --unicode
WX_CONFIGURE_FLAGS :=
export WXCONFIG_CFLAGS :=
export WXCONFIG_CXXFLAGS :=
WX_ROOT ?= ..


export TC_BUILD_CONFIG := Release

ifeq "$(origin DEBUG)" "command line"
ifneq "$(DEBUG)" "0"
TC_BUILD_CONFIG := Debug
endif
endif

ifeq "$(origin NOGUI)" "command line"
export TC_NO_GUI := 1
C_CXX_FLAGS += -DTC_NO_GUI
WX_CONFIGURE_FLAGS += --disable-gui
endif

ifdef PKCS11_INC
C_CXX_FLAGS += -I$(PKCS11_INC)
endif

ifeq "$(origin RESOURCEDIR)" "command line"
C_CXX_FLAGS += -DTC_RESOURCE_DIR="$(RESOURCEDIR)"
endif

ifneq "$(origin VERBOSE)" "command line"
MAKEFLAGS += -s
endif

ifeq "$(origin WXSTATIC)" "command line"
WX_CONFIG = $(WX_BUILD_DIR)/wx-config
WX_CONFIG_ARGS += --static
endif


#------ Release configuration ------

ifeq "$(TC_BUILD_CONFIG)" "Release"

C_CXX_FLAGS += -O2 -fno-strict-aliasing  # Do not enable strict aliasing
export WX_BUILD_DIR ?= $(BASE_DIR)/wxrelease
WX_CONFIGURE_FLAGS += --disable-debug_flag --disable-debug_gdb --disable-debug_info

else

#------ Debug configuration ------

C_CXX_FLAGS += -DDEBUG
CXXFLAGS += -fno-default-inline -Wno-unused-function -Wno-unused-variable
export WX_BUILD_DIR ?= $(BASE_DIR)/wxdebug
WX_CONFIGURE_FLAGS += --enable-debug_flag --disable-debug_gdb --disable-debug_info

endif


#------ Debugger configuration ------

ifeq "$(origin DEBUGGER)" "command line"

C_CXX_FLAGS += -ggdb  
WX_CONFIGURE_FLAGS += --enable-debug_gdb --enable-debug_info

endif


#------ Platform configuration ------

export PLATFORM := "Unknown"
export PLATFORM_UNSUPPORTED := 0


#------ Linux configuration ------

ifeq "$(shell uname -s)" "Linux"

PLATFORM := Linux
C_CXX_FLAGS += -DTC_UNIX -DTC_LINUX

ifeq "$(TC_BUILD_CONFIG)" "Release"
C_CXX_FLAGS += -fdata-sections -ffunction-sections
LFLAGS += -Wl,--gc-sections

ifneq "$(shell ld --help 2>&1 | grep sysv | wc -l)" "0"
LFLAGS += -Wl,--hash-style=sysv
endif

WXCONFIG_CFLAGS += -fdata-sections -ffunction-sections
WXCONFIG_CXXFLAGS += -fdata-sections -ffunction-sections
endif

endif


#------ Mac OS X configuration ------

ifeq "$(shell uname -s)" "Darwin"

PLATFORM := MacOSX
APPNAME := TrueCrypt

TC_OSX_SDK ?= /Developer/SDKs/MacOSX10.4u.sdk
CC := gcc-4.0
CXX := g++-4.0

C_CXX_FLAGS += -DTC_UNIX -DTC_BSD -DTC_MACOSX -mmacosx-version-min=10.4 -isysroot $(TC_OSX_SDK)
LFLAGS += -mmacosx-version-min=10.4 -Wl,-syslibroot $(TC_OSX_SDK)
WX_CONFIGURE_FLAGS += --with-macosx-version-min=10.4 --with-macosx-sdk=$(TC_OSX_SDK)

ifeq "$(TC_BUILD_CONFIG)" "Release"

export DISABLE_PRECOMPILED_HEADERS := 1

S := $(C_CXX_FLAGS)
C_CXX_FLAGS = $(subst -MMD,,$(S))

C_CXX_FLAGS += -gfull -arch i386 -arch ppc
LFLAGS += -Wl,-dead_strip -arch i386 -arch ppc

WX_CONFIGURE_FLAGS += --enable-universal_binary
WXCONFIG_CFLAGS += -gfull
WXCONFIG_CXXFLAGS += -gfull

else

WX_CONFIGURE_FLAGS += --disable-universal_binary

endif

endif


#------ FreeBSD configuration ------

ifeq "$(shell uname -s)" "FreeBSD"

PLATFORM := FreeBSD
PLATFORM_UNSUPPORTED := 1
C_CXX_FLAGS += -DTC_UNIX -DTC_BSD -DTC_FREEBSD

endif


#------ Solaris configuration ------

ifeq "$(shell uname -s)" "SunOS"

PLATFORM := Solaris
PLATFORM_UNSUPPORTED := 1
C_CXX_FLAGS += -DTC_UNIX -DTC_SOLARIS
WX_CONFIGURE_FLAGS += --with-gtk

endif


#------ Common configuration ------

CFLAGS := $(C_CXX_FLAGS) $(CFLAGS) $(TC_EXTRA_CFLAGS)
CXXFLAGS := $(C_CXX_FLAGS) $(CXXFLAGS) $(TC_EXTRA_CXXFLAGS)
LFLAGS := $(LFLAGS) $(TC_EXTRA_LFLAGS)

WX_CONFIGURE_FLAGS += --enable-unicode -disable-shared --disable-dependency-tracking --disable-compat26 --enable-exceptions --enable-std_string --enable-dataobj --enable-mimetype \
	--disable-protocol --disable-protocols --disable-url --disable-ipc --disable-sockets --disable-fs_inet --disable-ole --disable-docview --disable-clipboard \
	--disable-help --disable-html --disable-mshtmlhelp --disable-htmlhelp --disable-mdi --disable-metafile --disable-webkit \
	--disable-xrc --disable-aui --disable-postscript --disable-printarch \
	--disable-arcstream --disable-fs_archive --disable-fs_zip --disable-tarstream --disable-zipstream \
	--disable-animatectrl --disable-bmpcombobox --disable-calendar --disable-caret --disable-checklst --disable-collpane --disable-colourpicker --disable-comboctrl \
	--disable-datepick --disable-display --disable-dirpicker --disable-filepicker --disable-fontpicker --disable-grid  --disable-dataviewctrl \
	--disable-listbook --disable-odcombobox --disable-sash  --disable-searchctrl --disable-slider --disable-splitter --disable-togglebtn \
	--disable-toolbar --disable-tbarnative --disable-treebook --disable-toolbook --disable-tipwindow --disable-popupwin \
	--disable-commondlg --disable-aboutdlg --disable-coldlg --disable-finddlg --disable-fontdlg --disable-numberdlg --disable-splash \
	--disable-tipdlg --disable-progressdlg --disable-wizarddlg --disable-miniframe --disable-tooltips --disable-splines --disable-palette \
	--disable-richtext --disable-dialupman --disable-debugreport --disable-filesystem \
	--disable-graphics_ctx --disable-sound --disable-mediactrl --disable-joystick --disable-apple_ieee \
	--disable-gif --disable-pcx --disable-tga --disable-iff --disable-gif --disable-pnm \
	--without-expat --without-libtiff --without-libjpeg --without-libpng -without-regex --without-zlib


#------ Project build ------

PROJ_DIRS := Platform Volume Driver/Fuse Core Main

.PHONY: all clean wxbuild

all clean:
	@if pwd | grep -q ' '; then echo 'Error: source code is stored in a path containing spaces' >&2; exit 1; fi

	@for DIR in $(PROJ_DIRS); do \
		PROJ=$$(echo $$DIR | cut -d/ -f1); \
		$(MAKE) -C $$DIR -f $$PROJ.make NAME=$$PROJ $(MAKECMDGOALS) || exit $?; \
		export LIBS="$(BASE_DIR)/$$DIR/$$PROJ.a $$LIBS"; \
	done	


#------ wxWidgets build ------

ifeq "$(MAKECMDGOALS)" "wxbuild"
CFLAGS :=
CXXFLAGS :=
LFLAGS :=
endif

wxbuild:

ifneq "$(shell test -f $(WX_ROOT)/configure || test -f $(WX_BUILD_DIR)/../configure && echo 1)" "1"
	@echo 'Error: WX_ROOT must point to wxWidgets source code directory' >&2
	@exit 1
endif

	rm -rf "$(WX_BUILD_DIR)"
	mkdir -p "$(WX_BUILD_DIR)"
	@echo Configuring wxWidgets library...
	cd "$(WX_BUILD_DIR)" && "$(WX_ROOT)/configure" $(WX_CONFIGURE_FLAGS) >/dev/null
	
	@echo Building wxWidgets library...
	cd "$(WX_BUILD_DIR)" && $(MAKE)

=== Boot/Windows/Makefile ===
#
# Copyright (c) 2008-2009 TrueCrypt Developers Association. All rights reserved.
#
# Governed by the TrueCrypt License 2.8 the full text of which is contained in
# the file License.txt included in TrueCrypt binary and source code distribution
# packages.
#

PROJ = BootLoader
.SILENT:

!ifndef MSVC16_ROOT
!error Environment variable MSVC16_ROOT must point to the installation directory of MS Visual C++ 1.5
!endif

ENVPATH = $(PATH)

CC = $(MSVC16_ROOT)\bin\cl.exe
LD = $(MSVC16_ROOT)\bin\link.exe

AFLAGS = /nologo /omf

CFLAGS = /nologo /W3 /Fc /I "$(MSVC16_ROOT)\Include" /I"..\..\.." /I"..\..\..\Common" /I"..\..\..\Crypto"
CFLAGS = $(CFLAGS) /D __int8=char /D __int16=int /D __int32=long /D BOOL=char /D FALSE=0 /D TRUE=1
CFLAGS = $(CFLAGS) /D LITTLE_ENDIAN=1234 /D BYTE_ORDER=1234 /D TC_WINDOWS_BOOT /D TC_MINIMIZE_CODE_SIZE /D TC_NO_COMPILER_INT64
CFLAGS = $(CFLAGS) /D malloc=malloc_NA

LFLAGS = /NOLOGO /ONERROR:NOEXE /NOI /BATCH

OBJDIR = Release

!ifdef RESCUE_DISK
OBJDIR = Rescue
CFLAGS = $(CFLAGS) /D TC_WINDOWS_BOOT_RESCUE_DISK_MODE
!endif

!ifdef SINGLE_CIPHER
OBJDIR = $(OBJDIR)_$(SINGLE_CIPHER)
CFLAGS = $(CFLAGS) /D TC_WINDOWS_BOOT_SINGLE_CIPHER_MODE /D TC_WINDOWS_BOOT_$(SINGLE_CIPHER)
!endif

OUTDIR = $(OBJDIR)
TARGETEXT = com
TARGETS = $(OUTDIR)\BootDefs.i $(OUTDIR)\BootSector.bin $(OUTDIR)\Decompressor.com
CFLAGS = $(CFLAGS) /AT /Zl /f- /G3 /Oe /Os /Ob1 /OV0 /Gs /Gf /Gy /D NDEBUG
LFLAGS = $(LFLAGS) /NOD /NOE /TINY
OBJS = $(OUTDIR)\BootCrt.obj
LIBS = slibce

!if 1
SRCDIR = ..
!else
SRCDIR = $(MAKEDIR)
!endif

TARGETS = $(TARGETS) $(OUTDIR)\$(PROJ).$(TARGETEXT)

OBJS = $(OBJS) $(OUTDIR)\BootConfig.obj
OBJS = $(OBJS) $(OUTDIR)\BootConsoleIo.obj
OBJS = $(OBJS) $(OUTDIR)\BootDebug.obj
OBJS = $(OBJS) $(OUTDIR)\BootDiskIo.obj
OBJS = $(OBJS) $(OUTDIR)\BootEncryptedIo.obj
OBJS = $(OBJS) $(OUTDIR)\BootMain.obj
OBJS = $(OBJS) $(OUTDIR)\BootMemory.obj
OBJS = $(OBJS) $(OUTDIR)\IntFilter.obj
OBJS = $(OBJS) $(OUTDIR)\Platform.obj

OBJS = $(OBJS) $(OUTDIR)\Crc.obj
OBJS = $(OBJS) $(OUTDIR)\Crypto.obj
OBJS = $(OBJS) $(OUTDIR)\Endian.obj
OBJS = $(OBJS) $(OUTDIR)\Pkcs5.obj
OBJS = $(OBJS) $(OUTDIR)\Volumes.obj
OBJS = $(OBJS) $(OUTDIR)\Xts.obj

OBJS = $(OBJS) $(OUTDIR)\Rmd160.obj

!if !DEFINED (SINGLE_CIPHER)
OBJS = $(OBJS) $(OUTDIR)\AesSmall.obj
!else if "$(SINGLE_CIPHER)" == "AES"
OBJS = $(OBJS) $(OUTDIR)\AesSmall_x86.obj
OBJS = $(OBJS) $(OUTDIR)\Aestab.obj
!endif

!if !DEFINED (SINGLE_CIPHER) || "$(SINGLE_CIPHER)" == "SERPENT"
OBJS = $(OBJS) $(OUTDIR)\Serpent.obj
!endif

!if !DEFINED (SINGLE_CIPHER) || "$(SINGLE_CIPHER)" == "TWOFISH"
OBJS = $(OBJS) $(OUTDIR)\Twofish.obj
!endif


all: env $(TARGETS)

env:
	set INCLUDE=.
	set LIB=.
	set LIBPATH=.
	
clean:
	-del /q /s $(OBJDIR) >NUL:


.asm{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	$(AS) $(AFLAGS) /c "$(SRCDIR)\$<"
	cd ..

{..\..\Crypto}.asm{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	echo $(<F)
	nasm.exe -Xvc -f obj -Ox -o "$(<B).obj" -l "$(<B).lst" "$(SRCDIR)\$<"
	cd ..

{..\..\Crypto}.c{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..
	
{..\..\Common}.c{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..

.c{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..
			
.cpp{$(OUTDIR)}.obj:
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /c "$(SRCDIR)\$<"
	set PATH=$(ENVPATH)
	cd ..

$(OUTDIR)\BootDefs.i: BootDefs.h
	cd $(OBJDIR)
	set PATH=.
	$(CC) $(CFLAGS) /D TC_ASM_PREPROCESS /P /EP "$(SRCDIR)\BootDefs.h"
	set PATH=$(ENVPATH)
	cd ..
	
$(OUTDIR)\BootSector.bin: $(OUTDIR)\BootSector.obj
	cd $(OBJDIR)
	$(LD) $(LFLAGS) BootSector.obj,BootSector.bin,,,, >NUL:
	-dd.exe conv=notrunc bs=512 if=BootSector.bin of=$(PROJ).flp 2>NUL:
	cd ..

$(OUTDIR)\Decompressor.com: $(OUTDIR)\BootCrt.obj $(OUTDIR)\Decompressor.obj
	cd $(OBJDIR)
	$(LD) $(LFLAGS) BootCrt.obj Decompressor.obj,Decompressor.com,Decompressor.map,$(MSVC16_ROOT)\lib\+slibce,,
	-dd.exe conv=notrunc,sync bs=512 seek=1 if=Decompressor.com of=$(PROJ).flp 2>NUL:
	cd ..

$(OUTDIR)\$(PROJ).$(TARGETEXT): $(OBJS)
	@echo Linking...
	cd $(OBJDIR)
	
	echo >NUL: @<<$(PROJ).crf2

$(PROJ).$(TARGETEXT)
$(PROJ).map
$(MSVC16_ROOT)\lib\+
$(LIBS)
;
<<
	del $(PROJ).crf >NUL: 2>NUL:
	for %F in ($(**F)) do @echo %F + >>$(PROJ).crf
	type $(PROJ).crf2 >>$(PROJ).crf
	
	$(LD) $(LFLAGS) @$(PROJ).crf
	del $(PROJ).crf $(PROJ).crf2

	gzip.exe -c -n --best $(PROJ).$(TARGETEXT) >$(PROJ).$(TARGETEXT).gz
	-dd.exe conv=notrunc,sync bs=512 seek=5 if=$(PROJ).$(TARGETEXT).gz of=$(PROJ).flp 2>NUL:
	cd ..

## truecrypt 6.3a-maemo1

=== debian/changelog ===
truecrypt (6.3a-maemo1) unstable; urgency=low

  * Initial Maemo Fremantle Release
  * Line 26 of Core/MountOptions.h changed NoKernelCrypto to true

 -- Nathan Anderson <nathan@andersonsplace.net>  Fri, 15 Jan 2010 22:00:00 -0500

=== debian/control ===
Source: truecrypt
Section: user/system
Priority: extra
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libwxbase2.6-0, wx2.6-headers, libwxbase2.6-dev, libfuse-dev
Standards-Version: 3.7.2

Package: truecrypt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Cross platform Disk Encryption, allows encrypted containers or partitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

MAINDIR ?= $(shell pwd)

# This gives us the Kernel Version we defined in the sub-make file

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif




build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.10 wxbuild
	$(MAKE) NOGUI=1 WXSTATIC=1 PKCS11_INC=$(MAINDIR)/pkcs-11
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package
	mkdir debian/truecrypt/usr/
	mkdir debian/truecrypt/usr/bin
	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## truecrypt 6.3a-maemo2

=== debian/changelog ===
truecrypt (6.3a-maemo2) unstable; urgency=low

  * Updated Control file to have missing fields
  * Added code to add truecrypt to sudoers.d

 -- Nathan Anderson <nathan@andersonsplace.net>  Fri, 13 Feb 2010 13:50:00 -0500

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Maintainer: Nathan Anderson <nathan@andersonsplace.net>
 Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libwxbase2.6-0, wx2.6-headers, libwxbase2.6-dev, libfuse-dev
 Standards-Version: 3.7.2
+XB-Maemo-Display-Name: TrueCrypt Disk Encryption (command line only)
+XSBC-Original-Maintainer: www.truecrypt.org
+XSBC-Bugtracker: nathan@andersonsplace.net
 
 Package: truecrypt
 Architecture: armel

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,9 @@
 	mkdir debian/truecrypt/usr/
 	mkdir debian/truecrypt/usr/bin
 	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt
+	mkdir debian/truecrypt/etc
+	mkdir debian/truecrypt/etc/sudoers.d
+	cp -f sudoers.d/truecrypt.sudoers debian/truecrypt/etc/sudoers.d/truecrypt.sudoers
 
 
 # Build architecture-independent files here.

## truecrypt 6.3a-maemo4

=== debian/changelog ===
truecrypt (6.3a-maemo4) unstable; urgency=low

  * Turn off x86 build again; the problem is missing x86 depends though.

 -- Shaun Amott <shaun@inerd.com>  Fri, 18 Jun 2010 00:08:00 +0100

truecrypt (6.3a-maemo3) unstable; urgency=low

  * Remove unnecessary depends (we're using a static build of the included wxGTK).
  * Update included wxGTK to the latest version.
  * Remove some superfluous stuff from the wxGTK dist to save space.
  * Fix short description length; add long description.
  * Fix bug tracker field.
  * Allow build on x86.

 -- Shaun Amott <shaun@inerd.com>  Thu, 17 Jun 2010 18:52:00 +0100

=== debian/control ===
Source: truecrypt
Section: user/system
Priority: extra
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libfuse-dev
Standards-Version: 3.7.2

Package: truecrypt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Cross-Platform Disk Encryption Tool
 TrueCrypt is a popular cross-platform tool for creating and
 maintaining on-the-fly encrypted volumes. Volumes can either
 be partitions or file containers.
XB-Maemo-Display-Name: TrueCrypt Disk Encryption (command line only)
XSBC-Original-Maintainer: www.truecrypt.org
XSBC-Bugtracker: mailto:nathan@andersonsplace.net

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.10 wxbuild
+	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.11 wxbuild
 	$(MAKE) NOGUI=1 WXSTATIC=1 PKCS11_INC=$(MAINDIR)/pkcs-11
 	touch $@
 
@@ -43,7 +43,6 @@
 	dh_testroot
 	rm -f build-stamp 
 
-	# Add here commands to clean up after the build process.
 	dh_clean 
 
 install: build
@@ -51,7 +50,6 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	# Add here commands to install the package
 	mkdir debian/truecrypt/usr/
 	mkdir debian/truecrypt/usr/bin
 	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt

## truecrypt 7.1-maemo5

=== debian/changelog ===
truecrypt (7.1-maemo5) unstable; urgency=low

  * Upgraded to new upstream version
  * GUI
  * Makes use of kernel crypto modules, or falls back to -m nokernelcrypto if kernel doesn't have xts support
 
 -- twilight312 <twilight312@gmail.com>  Mon, 12 Dec 2011 19:15:00 +0100

=== debian/control ===
Source: truecrypt
Section: user/system
Priority: extra
Maintainer: twilight312@gmail.com <twilight312@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libfuse-dev, libwxgtk2.8-dev, pkg-config, nasm
Standards-Version: 3.7.2

Package: truecrypt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Cross-Platform Disk Encryption Tool
 TrueCrypt is a popular cross-platform tool for creating and
 maintaining on-the-fly encrypted volumes. Volumes can either
 be partitions or file containers.
XB-Maemo-Display-Name: TrueCrypt Disk Encryption
XSBC-Original-Maintainer: www.truecrypt.org
XSBC-Bugtracker: mailto:twilight312@gmail.com

## truecrypt 7.1-maemo6

=== debian/changelog ===
truecrypt (7.1-maemo6) unstable; urgency=low

  * Fixed dependency issue (dmsetup)

 -- Piotr Jawidzyk <twilight312@gmail.com>  Mon, 08 Jan 2012 00:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: truecrypt
 Section: user/system
 Priority: extra
-Maintainer: twilight312@gmail.com <twilight312@gmail.com>
+Maintainer: Piotr Jawidzyk <twilight312@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libfuse-dev, libwxgtk2.8-dev, pkg-config, nasm
 Standards-Version: 3.7.2
 
 Package: truecrypt
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2, dmsetup
 Description: Cross-Platform Disk Encryption Tool
  TrueCrypt is a popular cross-platform tool for creating and
  maintaining on-the-fly encrypted volumes. Volumes can either

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.11 wxbuild
-	$(MAKE) NOGUI=1 WXSTATIC=1 PKCS11_INC=$(MAINDIR)/pkcs-11
+	$(MAKE)
+	$(MAKE) 
 	touch $@
 
 clean:
@@ -52,11 +52,12 @@
 	dh_installdirs
 	mkdir debian/truecrypt/usr/
 	mkdir debian/truecrypt/usr/bin
-	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt
+	cp -f truecrypt.wrapper debian/truecrypt/usr/bin/truecrypt
+	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt.real
 	mkdir debian/truecrypt/etc
 	mkdir debian/truecrypt/etc/sudoers.d
 	cp -f sudoers.d/truecrypt.sudoers debian/truecrypt/etc/sudoers.d/truecrypt.sudoers
-
+	
 
 # Build architecture-independent files here.
 binary-indep: build install
